This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1064856 - drupal6-image_resize_filter: denial of service via large number of images to resize
drupal6-image_resize_filter: denial of service via large number of images to ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140212,repor...
: Security
Depends On: 1064857
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-13 07:35 EST by Murray McAllister
Modified: 2015-08-06 13:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 18:59:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-02-13 07:35:31 EST
It was discovered that the Image Resize Filter did not limit the number of resized images per post that a user could send. An attacker could use this flaw to cause a denial of service by submitting a post containing a large number of images to resize:

https://drupal.org/node/2194655

Note that the above advisory states "This vulnerability is mitigated by the fact that an attacker must have a role that allows them to post content that utilizes the image resize filter."

This issue is resolved in version 6.x-1.14:

https://drupal.org/node/2194063
Comment 1 Murray McAllister 2014-02-13 07:36:54 EST
Created drupal6-image_resize_filter tracking bugs for this issue:

Affects: fedora-19 [bug 1064857]
Comment 2 Fedora Update System 2014-03-01 09:08:38 EST
drupal6-image_resize_filter-1.14-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2014-03-01 09:12:13 EST
drupal6-image_resize_filter-1.14-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-03-06 16:10:53 EST
drupal6-image_resize_filter-1.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-03-06 16:12:32 EST
drupal6-image_resize_filter-1.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Shawn Iwinski 2014-03-07 14:31:48 EST
All dependant bugs are closed.  Should the packager close this bug or should you?
Comment 7 Murray McAllister 2014-03-10 18:59:06 EDT
Thanks also for this one!

Note You need to log in before you can comment on or make changes to this bug.